import request from '@/utils/request'
export function myInfo(data = {}) {
  return request({
    'url': '/app/user/my/info',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}
export function zhuxiao(data = {}) {
  return request({
    'url': '/app/user/my/close',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}
export function duihuanmaCode(data = {}) {
  return request({
    'url': '/app/user/my/code',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}
// 普通card list
export function myCardList(data = {}) {
  return request({
    'url': '/app/user/my/card/list',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}
//游客card list
export function commonCardList(data = {}) {
  return request({
    'url': '/common/card/list',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}
export function selectTiku(data = {}) {
  return request({
    'url': '/app/user/my/tiku/type',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}
export function nichengUpdate(data = {}) {
  return request({
    'url': '/app/user/my/update/nickname',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}
export function getFilePolicy(data = {}) {
  return request({
    'url': '/app/file/policy',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}
export function updataHead(data = {}) {
  return request({
    'url': '/app/user/my/update/icon',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}
export function xuexiJilu(data = {}) {
  return request({
    'url': '/app/user/my/xuexi/jilu',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}
export function xuexiJiluDelete(data = {}) {
  return request({
    'url': '/app/user/my/xuexi/jilu/delete',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function duihuanmaCodeNew(data = {}) {
  return request({
    'url': '/app/code/use',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000,
	customCatch:true,
  })
}